Loading...
Searching...
No Matches
detail Namespace Reference

## Classes

struct | any_area_handlers
struct | any_changeset_handlers
struct | any_node_handlers
struct | any_relation_handlers
struct | any_way_handlers
struct | changeset_handler
struct | discussion_handler
struct | members_handler
struct | node_handler
struct | nodes_handler
struct | object_handler
struct | ring_handler
struct | tags_handler

## Functions

| OSMIUM_ATTRIBUTE_ITER (tags_handler, tags_from_iterator_pair)
| OSMIUM_ATTRIBUTE_ITER (nodes_handler, nodes_from_iterator_pair)
| OSMIUM_ATTRIBUTE_ITER (members_handler, members_from_iterator_pair)
| OSMIUM_ATTRIBUTE_ITER (discussion_handler, comments_from_iterator_pair)
| OSMIUM_ATTRIBUTE_ITER (ring_handler, outer_ring_from_iterator_pair)
| OSMIUM_ATTRIBUTE_ITER (ring_handler, inner_ring_from_iterator_pair)
template<typename THandler , typename TBuilder , typename... TArgs>
void | add_basic (TBuilder &builder, const TArgs &... args) noexcept
template<typename... TArgs>
constexpr const char * | get_user (const attr::_user &user, const TArgs &...) noexcept
constexpr const char * | get_user () noexcept
template<typename TFirst , typename... TRest>
constexpr std::enable_if_t<!std::is_same< attr::_user, TFirst >::value, const char * > | get_user (const TFirst &, const TRest &... args) noexcept
template<typename TBuilder , typename... TArgs>
void | add_user (TBuilder &builder, const TArgs &... args)
template<typename TBuilder , typename THandler , typename... TArgs>
std::enable_if_t<!is_handled_by< THandler, TArgs... >::value > | add_list (osmium::builder::Builder &, const TArgs &...) noexcept
template<typename TBuilder , typename THandler , typename... TArgs>
std::enable_if_t< is_handled_by< THandler, TArgs... >::value > | add_list (osmium::builder::Builder &parent, const TArgs &... args)

## Function Documentation

## add_basic()

template<typename THandler , typename TBuilder , typename... TArgs>

void detail::add_basic | ( | TBuilder & | builder,
|  | const TArgs &... | args
| ) |  |

inline noexcept

## add_list() [1/2]

template<typename TBuilder , typename THandler , typename... TArgs>

std::enable_if_t<!is_handled_by< THandler, TArgs... >::value > detail::add_list | ( | osmium::builder::Builder & | ,
|  | const TArgs & | ...
| ) |  |

inline noexcept

## add_list() [2/2]

template<typename TBuilder , typename THandler , typename... TArgs>

std::enable_if_t< is_handled_by< THandler, TArgs... >::value > detail::add_list | ( | osmium::builder::Builder & | parent,
|  | const TArgs &... | args
| ) |  |

inline

## add_user()

template<typename TBuilder , typename... TArgs>

void detail::add_user | ( | TBuilder & | builder,
|  | const TArgs &... | args
| ) |  |

inline

## get_user() [1/3]

constexpr const char * detail::get_user | ( |  | ) |

constexpr noexcept

## get_user() [2/3]

template<typename... TArgs>

constexpr const char * detail::get_user | ( | const attr::_user & | user,
|  | const TArgs & | ...
| ) |  |

constexpr noexcept

## get_user() [3/3]

template<typename TFirst , typename... TRest>

constexpr std::enable_if_t<!std::is_same< attr::_user, TFirst >::value, const char * > detail::get_user | ( | const TFirst & | ,
|  | const TRest &... | args
| ) |  |

constexpr noexcept

## OSMIUM_ATTRIBUTE_ITER() [1/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | discussion_handler | ,
|  | comments_from_iterator_pair |
| ) |  |

## OSMIUM_ATTRIBUTE_ITER() [2/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | members_handler | ,
|  | members_from_iterator_pair |
| ) |  |

## OSMIUM_ATTRIBUTE_ITER() [3/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | nodes_handler | ,
|  | nodes_from_iterator_pair |
| ) |  |

## OSMIUM_ATTRIBUTE_ITER() [4/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | ring_handler | ,
|  | inner_ring_from_iterator_pair |
| ) |  |

## OSMIUM_ATTRIBUTE_ITER() [5/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | ring_handler | ,
|  | outer_ring_from_iterator_pair |
| ) |  |

## OSMIUM_ATTRIBUTE_ITER() [6/6]

detail::OSMIUM_ATTRIBUTE_ITER | ( | tags_handler | ,
|  | tags_from_iterator_pair |
| ) |  |